Bug 682371 - appears to assume there is always an eth0 device
appears to assume there is always an eth0 device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openswan (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Avesh Agarwal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 682334 682372
  Show dependency treegraph
 
Reported: 2011-03-04 20:17 EST by Bill Nottingham
Modified: 2014-03-16 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 682372 (view as bug list)
Environment:
Last Closed: 2012-08-07 10:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2011-03-04 20:17:44 EST
Description of problem:

Network devices can have arbitrary names, and due to
http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming, will have
different names in Fedora 15.

openswan-2.6.32/programs/pluto/nat_traversal.c:int nat_traversal_espinudp_socket (int sk, const char *fam, u_int32_t type)

...

                switch(kern_interface) {

                        case USE_MASTKLIPS:
                                strcpy(ifr.ifr_name, "mast0");
                                break;
                        case USE_KLIPS:
                                strcpy(ifr.ifr_name, "ipsec0");
                                break;
                        case USE_NETKEY:
                                /* Let's hope we have at least one ethernet device */
                                strcpy(ifr.ifr_name, "eth0");
                                break;
                        default:
                                /* We have nothing , really prob just abort and return -1 */
                                strcpy(ifr.ifr_name, "eth0");
                                break;
                }
                fdp[0] = sk;
                fdp[1] = type;
                r = ioctl(sk, IPSEC_UDP_ENCAP_CONVERT, &ifr);

Depending on how forgiving the kernel is, this looks like it will fail on any machine that doesn't happen to have an eth0 device.

Version-Release number of selected component (if applicable):

openswan-2.6.32

How reproducible:

By inspection.
Comment 1 Fedora End Of Life 2012-08-07 10:55:04 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.